Debian Bug report logs - #716924
ITP: hyperrogue -- non-euclidean graphical rogue-like game

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: chrysn <chrysn@fsfe.org>

Date: Sun, 14 Jul 2013 21:12:01 UTC

Owned by: chrysn <chrysn@fsfe.org>

Severity: wishlist

Fixed in version hyperrogue/4.0t+dfsg-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#716924; Package wnpp. (Sun, 14 Jul 2013 21:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 14 Jul 2013 21:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: hyperrogue -- non-euclidean graphical rogue-like game
Date: Sun, 14 Jul 2013 23:09:23 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: chrysn <chrysn@fsfe.org>

* Package name    : hyperrogue
  Version         : 3.7
  Upstream Author : Zeno Rogue <zeno@attnam.com>
* URL             : http://www.roguetemple.com/z/hyper.php
* License         : GPL-2+
  Programming Lang: C++
  Description     : non-euclidean graphical rogue-like game

 HyperRogue III is a game in which the player collects treasures and fights
 monsters -- a classical rogue-like but for the fact that it is played on the
 hyperbolic plane and not in euclidean space.
 .
 In HyperRogue, the player can move through different parts of the world, which
 are home to particular creatures and may be subject to own rules of "physics".
 .
 While it can use ASCII characters to display the world the classical rogue
 symbols, the game needs graphics to render the non-euclidean world.

hyperrogue is a straightforward package. upstream's build system is
plain make (thus debhelper for clean and install).

the package has to be made dfsg free by removing shipped dlls and the
bistream vera sans font, and some patching to bend paths to their proper
locations.

the debian extra mile involves desktop file, menu entry and man page.

work is in progress.

-- 
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#716924; Package wnpp. (Tue, 23 Jul 2013 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 23 Jul 2013 21:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 716924@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: 716924@bugs.debian.org
Subject: hyperrogue status update
Date: Tue, 23 Jul 2013 23:47:52 +0200
[Message part 1 (text/plain, inline)]
packaging of hyperrogue is complete, and has been uploaded to the games
team git repository [1].

issue-wise, i've once encountered a singular segfault; i'm running the
game under gdb locally for some time, but unless it happens to someone
else too or is in any way reproducable, i don't think it warrants adding
a -dbg package.

please consider sponsoring the package from git; if the upload to the
team repository was not sufficient, i can provide a .dsc via mentors.

[1] http://anonscm.debian.org/gitweb/?p=pkg-games/hyperrogue.git;a=summary
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 716924: 718323 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 30 Jul 2013 16:27:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 28 Nov 2013 07:09:09 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Fri, 20 Dec 2013 12:03:23 GMT) Full text and rfc822 format available.

Notification sent to chrysn <chrysn@fsfe.org>:
Bug acknowledged by developer. (Fri, 20 Dec 2013 12:03:23 GMT) Full text and rfc822 format available.

Message #19 received at 716924-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 716924-close@bugs.debian.org
Subject: Bug#716924: fixed in hyperrogue 4.0t+dfsg-1
Date: Fri, 20 Dec 2013 12:00:12 +0000
Source: hyperrogue
Source-Version: 4.0t+dfsg-1

We believe that the bug you reported is fixed in the latest version of
hyperrogue, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 716924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated hyperrogue package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 27 Nov 2013 22:56:06 +0200
Source: hyperrogue
Binary: hyperrogue hyperrogue-music hyperrogue-dbg
Architecture: source amd64 all
Version: 4.0t+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 hyperrogue - non-euclidean graphical rogue-like game
 hyperrogue-dbg - debug data for hyperrogue
 hyperrogue-music - in-game music for hyperrogue
Closes: 716924
Changes: 
 hyperrogue (4.0t+dfsg-1) unstable; urgency=low
 .
   [ Christian M. Amsüss ]
   * Initial release. (Closes: #716924)
Checksums-Sha1: 
 f2cbd31d48fb4c98ae0a31f8ab895fc405bc2216 2232 hyperrogue_4.0t+dfsg-1.dsc
 af2554cdf5a3abf43de16db8c20f4bab148ff954 45000170 hyperrogue_4.0t+dfsg.orig.tar.gz
 cd1ac45c78025b73903dccb3bfcb2a4bc1222134 106013 hyperrogue_4.0t+dfsg-1.debian.tar.gz
 bbeb6222c0dffac1a4bfc8bb32c66b5f0e2af7b3 242568 hyperrogue_4.0t+dfsg-1_amd64.deb
 59d2693bf77d62993a65a6769916a342f5eb7168 44908466 hyperrogue-music_4.0t+dfsg-1_all.deb
 443ace51337a3807df126d95bf49b918291a661d 419124 hyperrogue-dbg_4.0t+dfsg-1_amd64.deb
Checksums-Sha256: 
 2b02d2c249730d2382dde908ad109d89f2deea83805218c418109c5c7f64e7c4 2232 hyperrogue_4.0t+dfsg-1.dsc
 c9d50789b9145503f1b7ef6f71dd4a9f0889bbf03eeb5efbfdb71b3a0484e9f2 45000170 hyperrogue_4.0t+dfsg.orig.tar.gz
 203db8236575a6f8352165c92fac2f791ea0d78bfe724e784fb440a7d74ce756 106013 hyperrogue_4.0t+dfsg-1.debian.tar.gz
 444d2c0794ba95de062cb92598a0c0ba5edbeb6d29f4181d2408c1bb78389066 242568 hyperrogue_4.0t+dfsg-1_amd64.deb
 e6ac9bf095c97f58dc9b6dd731840dc770e1bbd3977e93089cb1c1d72193a141 44908466 hyperrogue-music_4.0t+dfsg-1_all.deb
 191fb0a12be9a6472e2bae791e7d57c31312ed4563c4bd5c8002503c591e1cfb 419124 hyperrogue-dbg_4.0t+dfsg-1_amd64.deb
Files: 
 632ce74e4f34e877ae58a3d43d48fc08 2232 games optional hyperrogue_4.0t+dfsg-1.dsc
 4ef81b3d31195fde6a3602b3fea06ae1 45000170 games optional hyperrogue_4.0t+dfsg.orig.tar.gz
 b201fac191dcfcca5a9a41ca14240ab5 106013 games optional hyperrogue_4.0t+dfsg-1.debian.tar.gz
 3e30dbb438c3d965f5358d0db2714dce 242568 games optional hyperrogue_4.0t+dfsg-1_amd64.deb
 ad113a8b80d32409ac28d1a21dde97ea 44908466 games optional hyperrogue-music_4.0t+dfsg-1_all.deb
 602ea754fb9faab9c893dd5d8b70474f 419124 debug extra hyperrogue-dbg_4.0t+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSllzOAAoJENu+nU2Z0qAEvOoP/jt95gTJh8gClX0zHlqerZGt
WkGtRM0UoUiotwB/2F0bHgpFP0b1rYugv9Jw/WaU2IJeJl7R3WFu3AT3d6SdTQPX
Mrg3L8fsRQk+LSkKYQUR1saglgNwblgdayPYBNP2TFnnBz2VZfC2G3SG3ro6lW9W
rfeFzfkmKSh2sCQpin4BstorvrPQVdMAYULUlkd9WusWjywFIF8WI3yl4BUVUhXs
9Z5R3qUNO+9KkymlhZoWc9H0mIVQanR6nWcXZ0gn6sW+dCB1wmzZOZp10K+LCM2t
TnGAFX6V7yA4n9BBQL4xSGZfFGtEdkz/acnDtYJiHpCpkuqJdvtOWSGgh9NVkFZh
mMM+9JdseN+1Bh8wtiwGTRelWs1IY2lX3S7uuzHcGM7OCDOMiBDDVLciqACdv6sz
TzkmNFGYw5tCpA3Lv2ED1oGMZCca31gejV5xQMV/mlfBp5+gsjlAdhqGr/XNm7Bu
lG03XXlRevCpxVlJG6+rR/S1g00r2vqtvvOALtVgt2Z/hLhNs/9QvbWqzzlhAASt
qs02WV3Qz8xNU4rOgpDC+3sWq+253R9hyGPG16f364Zlfr5qlEJQseO3LrsgpGgH
UsdkDRN4QA7xXeG3KgFGsILbC0z6qO6KJ+N+PRf3CPMlhBRtnFEXGP9t4uuXKkzK
hwIq+8PrDO8ULYLKJMp8
=bVby
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jan 2014 07:27:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:00:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.